# $Revision: 1.112 $, $Date: 2010/06/30 17:08:15 $
# TODO
# - fix kopete-tool-{avdeviceconfig,smpppdcs} summaries/descriptions (copy-pastos!)
# - BR phonon-devel
# - FILES update
#
# Conditional build:
#
%define		_state		stable
%define		orgname		kdenetwork
%define		qtver		4.6.3

Summary:	K Desktop Environment - network applications
Summary(es.UTF-8):	K Desktop Environment - aplicaciones de red
Summary(pl.UTF-8):	K Desktop Environment - aplikacje sieciowe
Summary(pt_BR.UTF-8):	K Desktop Environment - aplicações de rede
Name:		kde4-kdenetwork
Version:	4.4.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	597e8c8259a625088defbaed322119f6
#Patch100: %{name}-branch.diff
Patch0:		%{name}-FindLibgadu.patch
Patch1:		%{name}-openssl.patch
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	alsa-lib-devel
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	giflib-devel
BuildRequires:	gmp-devel
BuildRequires:	gpgme-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	kde4-kwebkitpart-devel >= %{version}
BuildRequires:	libgadu-devel >= 1.8.0
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmsn-devel >= 4.1
BuildRequires:	libotr-devel >= 3.2.0
BuildRequires:	libv4l-devel >= 0.5.8
BuildRequires:	libvncserver-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.7
BuildRequires:	meanwhile-devel >= 1.0.1
BuildRequires:	mediastreamer-devel >= 2.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	ortp-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	qca-devel >= 2.0
BuildRequires:	qimageblitz-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	shared-desktop-ontologies-devel >= 0.2
BuildRequires:	soprano-devel >= 2.3.70
BuildRequires:	speex-devel
BuildRequires:	sqlite3-devel
BuildRequires:	strigi-devel >= 0.7.0
BuildRequires:	telepathy-qt4-devel
BuildRequires:	xmms-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXtst-devel
Obsoletes:	kde4-kdenetwork-kopete-tool-alias
Obsoletes:	kdenetwork4
Conflicts:	kdenetwork4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE network applications. Package includes:
- KGet - file downloader
- KNewsticker - News Ticker
- KPPP - PPP dialer
- krdc - remote desktop connection
- krfb - virtual desktops

%description -l pl.UTF-8
Aplikacje sieciowe KDE. Pakiet zawiera następujące programy:
- KGet - ściągacz plików
- KNewsticker - aplet wyświetlający nowości
- KPPP - program do nawiązywania połączeń modemowych
- krdc - zdalny pulpit
- krfb - wirtualne biurka

%package libkopete
Summary:	kopete library
Summary(pl.UTF-8):	Biblioteka kopete
Group:		X11/Libraries
Requires:	kde4-kdelibs >= %{version}

%description libkopete
kopete library.

%description libkopete -l pl.UTF-8
Biblioteka kopete.

%package libkopete_oscar
Summary:	Shared library which adds OSCAR protocol support
Summary(pl.UTF-8):	Biblioteka dodająca obsługę protokołu OSCAR
Group:		X11/Applications/Networking
Requires:	%{name}-libkopete = %{version}-%{release}

%description libkopete_oscar
A shared library which adds OSCAR protocol support needed eg. by AIM
and ICQ.

%description libkopete_oscar -l pl.UTF-8
Biblioteka dodająca obsługę protokołu OSCAR, używanego między innymi
przez AIM i ICQ.

%package libkopete_otr
Summary:	Shared library which adds OTR protocol support
Summary(pl.UTF-8):	Biblioteka dodająca obsługę protokołu OTR
Group:		X11/Applications/Networking
Requires:	%{name}-libkopete = %{version}-%{release}

%description libkopete_otr
A shared library which adds OTR protocol support needed eg. AIM and
ICQ.

%description libkopete_otr -l pl.UTF-8
Biblioteka dodająca obsługę protokołu OTR, używanego między innymi
przez AIM i ICQ.

%package libkopete_videodevice
Summary:	Video input device support library for kopete
Summary(pl.UTF-8):	Biblioteka z obsługą urządzeń wejścia video dla kopete
Group:		X11/Libraries
Requires:	%{name}-libkopete = %{version}-%{release}

%description libkopete_videodevice
Video input device support library for kopete.

%description libkopete_videodevice -l pl.UTF-8
Biblioteka z obsługą urządzeń wejścia video dla kopete.

%package devel
Summary:	kdenetwork header files
Summary(pl.UTF-8):	Pliki nagłówkowe kdenetwork
Group:		X11/Development/Libraries
Requires:	%{name}-libkopete_oscar = %{version}-%{release}
Requires:	%{name}-libkopete_otr = %{version}-%{release}
Requires:	%{name}-libkopete_videodevice = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
kdenetwork header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe kdenetwork.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão para compilar aplicações que usem as bibliotecas
do kdenetwork.

%package filesharing
Summary:	File sharing plugins
Summary(pl.UTF-8):	Wtyczki obsługujące współdzielenie plików
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}

%description filesharing
File sharing plugins.

%description filesharing -l pl.UTF-8
Wtyczki obsługujące współdzielenie plików.

%package kdnssd
Summary:	DNS-SD Services Watcher
Summary(pl.UTF-8):	Nadzorowanie usług DNS-SD
License:	Artistic
Group:		X11/Applications

%description kdnssd
DNS-SD Services Watcher.

%description kdnssd -l pl.UTF-8
Nadzorowanie usług DNS-SD.

%package kget
Summary:	File downloand manager
Summary(pl.UTF-8):	Zarządca ściągania plików
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}
Requires:	kde4-kdebase-workspace >= %{version}

%description kget
A GetRight-like file download manager with resuming support and
Konqueror/Mozilla integration.

%description kget -l pl.UTF-8
Zarządca ściągania plików podobny do GetRighta z obsługą wznawiania
oraz integracją z Konquerorem/Mozillą.

%package knewsticker
Summary:	KDE News Ticker
Summary(pl.UTF-8):	News Ticker dla KDE
Summary(pt_BR.UTF-8):	Miniaplicativo de exibição de notícias para o painel Kicker
Group:		X11/Applications

%description knewsticker
KNewsTicker is an applet for the KDE panel (also known as Kicker)
which provides an easy and convenient way to access the news as
reported by many news sites (such as Slashdot, Linux Weekly News or
Freshmeat). It can be used with virtually any website that provides
RSS/RDF feeds.

%description knewsticker -l pl.UTF-8
KNewsTicker to aplet dla panelu KDE (znanego także jako Kicker)
dostarczający łatwy i wygodny sposób dostępu do nowinek ogłaszanych
przez wiele serwisów z nowościami (takimi jak Slashdot, Linux Weekly
News czy Freshmeat). Może być używany z właściwie każdą stroną
udostępniającą feedy RSS/RDF.

%description knewsticker -l pt_BR.UTF-8
Miniaplicativo de exibição de notícias para o painel Kicker.

%package kopete
Summary:	Multi-protocol plugin-based instant messenger
Summary(pl.UTF-8):	Komunikator obsługujący wiele protokołów
Group:		X11/Applications
Requires:	%{name}-libkopete = %{version}-%{release}
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kopete
Obsoletes:	kopete-plugin-protocols-aim
Obsoletes:	kopete-plugin-protocols-gg
Obsoletes:	kopete-plugin-protocols-icq
Obsoletes:	kopete-plugin-protocols-irc
Obsoletes:	kopete-plugin-protocols-jabber
Obsoletes:	kopete-plugin-protocols-msn
Obsoletes:	kopete-plugin-protocols-oscar
Obsoletes:	kopete-plugin-protocols-sms
Obsoletes:	kopete-plugin-protocols-winpopup
Obsoletes:	kopete-plugin-protocols-yahoo
Obsoletes:	kopete-plugin-tools-autoaway
Obsoletes:	kopete-plugin-tools-autoreplace
Obsoletes:	kopete-plugin-tools-conectionstatus
Obsoletes:	kopete-plugin-tools-contactnotes
Obsoletes:	kopete-plugin-tools-cryptography
Obsoletes:	kopete-plugin-tools-highlight
Obsoletes:	kopete-plugin-tools-history
Obsoletes:	kopete-plugin-tools-importer
Obsoletes:	kopete-plugin-tools-motionaway
Obsoletes:	kopete-plugin-tools-nowlistening
Obsoletes:	kopete-plugin-tools-spellcheck
Obsoletes:	kopete-plugin-tools-texteffect
Obsoletes:	kopete-plugin-tools-translator
Obsoletes:	kopete-plugin-tools-webpresence

%description kopete
Kopete is a flexible and extendable multiple protocol instant
messaging system designed as a plugin-based system. All protocols are
plugins and allow modular installment, configuration, and usage
without the main application knowing anything about the plugin being
loaded. The goal of Kopete is to provide users with a standard and
easy to use interface between all of their instant messaging systems,
but at the same time also providing developers with the ease of
writing plugins to support a new protocol. The core Kopete development
team provides a handful of plugins that most users can use, in
addition to templates for new developers to base a plugin off of.

%description kopete -l pl.UTF-8
Kopete to rozszerzalny i rozbudowywalny komunikator obsługujący wiele
protokołów, zaprojektowany w oparciu o wtyczki. Wszystkie protokoły są
wtyczkami, co pozwala na modularną instalację, konfigurację i używanie
bez potrzeby obsługi ładowanych wtyczek w głównej aplikacji. Celem
Kopete jest wyposażenie użytkowników w standardowy i łatwy w użyciu
interfejs pomiędzy wszystkimi systemami komunikatorów, a jednocześnie
zapewnienie programistom łatwości pisania wtyczek obsługujących nowe
protokoły. Załoga programistów Kopete udostępnia podręczny zestaw
wtyczek używanych przez większość użytkowników oraz szablony dla
nowych programistów, na których można opierać nowe wtyczki.

%package kopete-protocol-aim
Summary:	Kopete plugin which adds AIM protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu AIM
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Requires:	%{name}-libkopete_oscar = %{version}-%{release}
Obsoletes:	kopete-protocol-aim

%description kopete-protocol-aim
Kopete plugin which adds AIM protocol support.

%description kopete-protocol-aim -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu AIM.

%package kopete-protocol-bonjour
Summary:	Kopete plugin which adds Bonjour protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Bonjour
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-protocol-bonjour
Kopete plugin which adds Bonjour protocol support.

%description kopete-protocol-bonjour -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Bonjour.

%package kopete-protocol-gg
Summary:	Kopete plugin which adds GaduGadu protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu GaduGadu
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-protocol-gg

%description kopete-protocol-gg
Kopete plugin which adds GaduGadu protocol support.

%description kopete-protocol-gg -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu GaduGadu.

%package kopete-protocol-groupwise
Summary:	Kopete plugin which adds Groupwise protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Groupwise
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
#Suggests:	qt-plugin-qca-tls
Obsoletes:	kopete-protocol-groupwise

%description kopete-protocol-groupwise
Kopete plugin which adds Groupwise protocol support.

%description kopete-protocol-groupwise -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Groupwise.

%package kopete-protocol-icq
Summary:	Kopete plugin which adds ICQ protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu ICQ
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Requires:	%{name}-libkopete_oscar = %{version}-%{release}
Obsoletes:	kopete-protocol-icq

%description kopete-protocol-icq
Kopete plugin which adds ICQ protocol support.

%description kopete-protocol-icq -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu ICQ.

%package kopete-protocol-jabber
Summary:	Kopete plugin which adds Jabber protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Jabber
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
#Suggests:	qt-plugin-qca-tls
Obsoletes:	kopete-protocol-jabber

%description kopete-protocol-jabber
Kopete plugin which adds Jabber protocol support.

%description kopete-protocol-jabber -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Jabber.

%package kopete-protocol-meanwhile
Summary:	Kopete plugin which adds Meanwhile protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Meanwhile
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-protocol-meanwhile
Kopete plugin which adds Meanwhile protocol support.

%description kopete-protocol-meanwhile -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Meanwhile.

%package kopete-protocol-wlm
Summary:	Kopete plugin which adds WLM (Windows Live Messenger) protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu WLM
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-protocol-wlm
Kopete plugin which adds WLM (Windows Live Messenger) protocol
support.

%description kopete-protocol-wlm -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu WLM (Windows Live
Messenger).

%package kopete-protocol-skype
Summary:	Kopete plugin which adds Skype(tm) protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Skype(tm)
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	skype-program

%description kopete-protocol-skype
Kopete plugin which adds Skype(tm) protocol support.

%description kopete-protocol-skype -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Skype(tm).


%package kopete-protocol-msn
Summary:	Kopete plugin which adds MSN protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu MSN
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-protocol-msn

%description kopete-protocol-msn
Kopete plugin which adds MSN protocol support.

%description kopete-protocol-msn -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu MSN.

%package kopete-protocol-sms
Summary:	Kopete plugin which adds SMS contact support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę kontaktów SMS
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-protocol-sms

%description kopete-protocol-sms
Kopete plugin which adds SMS contact support.

%description kopete-protocol-sms -l pl.UTF-8
Wtyczka Kopete dodająca obsługę kontaktów SMS.

%package kopete-protocol-testbed
Summary:	A sample plugin for kopete
Summary(pl.UTF-8):	Przykładowa wtyczka dla kopete.
Group:		X11/Development/Libraries
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-protocol-testbed
A sample plugin for kopete, which allows developers to learn the
kopete programming interface.

%description kopete-protocol-testbed -l pl.UTF-8
Przykładowa wtyczka do kopete, ułatwiająca developerom zapoznanie się
z interfejsem programowania biblioteki kopete.

%package kopete-protocol-winpopup
Summary:	Kopete plugin which adds WinPopUp messaging support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę komunikacji przez WinPopUp
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-protocol-winpopup

%description kopete-protocol-winpopup
Kopete plugin which adds WinPopUp messaging support.

%description kopete-protocol-winpopup -l pl.UTF-8
Wtyczka Kopete dodająca obsługę komunikacji przez WinPopUp.

%package kopete-protocol-yahoo
Summary:	Kopete plugin which adds Yahoo protocol support
Summary(pl.UTF-8):	Wtyczka Kopete dodająca obsługę protokołu Yahoo
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-protocol-yahoo

%description kopete-protocol-yahoo
Kopete plugin which adds Yahoo protocol support.

%description kopete-protocol-yahoo -l pl.UTF-8
Wtyczka Kopete dodająca obsługę protokołu Yahoo.

%package kopete-tool-autoaway
Summary:	Kopete autoaway plugin
Summary(pl.UTF-8):	Wtyczka Kopete do automatycznego przechodzenia w stan zajęty
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-tool-autoaway

%description kopete-tool-autoaway
Kopete plugin which automatically changes status to away. Conditions
are configurable.

%description kopete-tool-autoaway -l pl.UTF-8
Wtyczka Kopete automatycznie zmieniająca status na zajęty. Warunki, po
zaistnieniu których ma nastąpić, są konfigurowalne.

%package kopete-tool-alias
Summary:	Kopete plugin to add custom aliases for commands
Summary(pl.UTF-8):	Wtyczka Kopete do dodawania własnych aliasów dla poleceń
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-tool-alias

%description kopete-tool-alias
Kopete plugin to add custom aliases for commands.

%description kopete-tool-alias -l pl.UTF-8
Wtyczka Kopete do dodawania własnych aliasów dla poleceń.

%package kopete-tool-avdeviceconfig
Summary:	Kopete avdeviceconfig plugin
Summary(pl.UTF-8):	Wtyczka Kopete do automatycznego przechodzenia w stan zajęty
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-avdeviceconfig
Kopete plugin which automatically changes status to away. Conditions
are configurable.

%description kopete-tool-avdeviceconfig -l pl.UTF-8
Wtyczka Kopete automatycznie zmieniająca status na zajęty. Warunki, po
zaistnieniu których ma nastąpić, są konfigurowalne.

%package kopete-tool-autoreplace
Summary:	Kopete plugin which autoreplaces some text you can choose
Summary(pl.UTF-8):	Wtyczka Kopete do automatycznej zamiany tekstu
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-autoreplace
Kopete plugin which autoreplaces some text you can choose.

%description kopete-tool-autoreplace -l pl.UTF-8
Wtyczka Kopete do automatycznej zamiany tekstu.

%package kopete-tool-contactnotes
Summary:	Kopete tool which adds personal notes to your contacts
Summary(pl.UTF-8):	Narzędzie Kopete do dodawania notatek do kontaktów
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-tool-contactnotes

%description kopete-tool-contactnotes
Kopete tool which allows adding personal notes to your contacts.

%description kopete-tool-contactnotes -l pl.UTF-8
Narzędzie Kopete umożliwiające dodawanie notatek do kontaktów.

%package kopete-tool-highlight
Summary:	A highlighter plugin for Kopete
Summary(pl.UTF-8):	Wtyczka Kopete podkreślająca wybrane teksty
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Obsoletes:	kopete-tool-highlight

%description kopete-tool-highlight
A highlighter plugin for Kopete.

%description kopete-tool-highlight -l pl.UTF-8
Wtyczka Kopete podkreślająca wybrane teksty.

%package kopete-tool-latex
Summary:	A LaTeX plugin for Kopete
Summary(pl.UTF-8):	Wtyczka Kopete renderująca tekst w formacie LaTeXa
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-latex
A LaTeX plugin for Kopete.

%description kopete-tool-latex -l pl.UTF-8
Wtyczka Kopete renderująca tekst w formacie LaTeXa.

%package kopete-tool-history
Summary:	A history plugin for Kopete
Summary(pl.UTF-8):	Wtyczka Kopete obsługująca historię rozmów
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-history
A history plugin for Kopete.

%description kopete-tool-history -l pl.UTF-8
Wtyczka Kopete obsługująca historię rozmów.

%package kopete-tool-importer
Summary:	Contact importer for Kopete
Summary(pl.UTF-8):	Importer kontaktów dla Kopete
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-importer
Kopete tool which allows importing contacts from other instant
messengers.

%description kopete-tool-importer -l pl.UTF-8
Narzędzie Kopete umożliwiające importowanie kontaktów z innych
komunikatorów.

%package kopete-tool-motionaway
Summary:	Kopete plugin which sets away status when not detecting movement near the computer
Summary(pl.UTF-8):	Wtyczka Kopete zmieniająca status na zajęty jeśli nie wykrywa ruchu wokół komputera
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-motionaway
This Kopete plugin sets away status when not detecting movement near
the computer.

%description kopete-tool-motionaway -l pl.UTF-8
Ta wtyczka Kopete zmienia status na zajęty jeśli nie wykrywa ruchu
wokół komputera.

%package kopete-tool-nowlistening
Summary:	Playlist informer for Kopete
Summary(pl.UTF-8):	Informator o playliście dla Kopete
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-nowlistening
This Kopete plugin tells selected live chats what you're currently
listening to in xmms/kscd/noatun.

%description kopete-tool-nowlistening -l pl.UTF-8
Ta wtyczka Kopete wypisuje podczas wybranych rozmów nazwę aktualnie
słuchanej piosenki w xmms/kscd/noatun.

%package kopete-tool-spellcheck
Summary:	A spell checking plugin for Kopete
Summary(pl.UTF-8):	Wtyczka Kopete sprawdzająca pisownie
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-spellcheck
A spell checking plugin for Kopete.

%description kopete-tool-spellcheck -l pl.UTF-8
Wtyczka Kopete sprawdzająca pisownie.

%package kopete-tool-texteffect
Summary:	Kopete plugin that adds nice effects to your messages
Summary(pl.UTF-8):	Wtyczka Kopete dodająca ładne efekty do wiadomości
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-texteffect
Kopete plugin that adds nice effects to your messages.

%description kopete-tool-texteffect -l pl.UTF-8
Wtyczka Kopete dodająca ładne efekty do wiadomości.

%package kopete-tool-translator
Summary:	Kopete plugin which uses babelfish to translate messages
Summary(pl.UTF-8):	Wtyczka Kopete wykorzystująca babelfish do tłumaczenia wiadomości
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}

%description kopete-tool-translator
This Kopete plugin uses web translating engines (like Altavista's
babelfish or Google) to translate messages.

%description kopete-tool-translator -l pl.UTF-8
Ta wtyczka Kopete wykorzystuje babelfish do tłumaczenia wiadomości.

%package kopete-tool-webpresence
Summary:	Web contactlist presenter for Kopete
Summary(pl.UTF-8):	Wyświetlacz listy kontaktów na WWW dla Kopete
Group:		X11/Applications/Networking
Requires:	%{name}-kopete = %{version}-%{release}
Requires:	libxml2 >= 2.4.8
Requires:	libxslt >= 1.0.7

%description kopete-tool-webpresence
This Kopete plugin shows the status of your IM accounts on a webpage.

%description kopete-tool-webpresence -l pl.UTF-8
Ta wtyczka Kopete pokazuje status (całej lub części) listy kontaktów
na stronie WWW.

%package kppp
Summary:	KDE PPP dialer
Summary(pl.UTF-8):	Program do połączeń modemowych dla KDE
Summary(pt_BR.UTF-8):	O discador para Internet
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}
Requires:	ppp

%description kppp
KPPP is a dialer and front end for pppd. It allows for interactive
script generation and network setup. It will automate the dialing in
process to your ISP while letting you conveniently monitor the entire
process.

Once connected KPPP will provide a rich set of statistics and keep
track of the time spent online for you.

A built-in terminal and script generator will enable you to set up
your connection with ease. You will no longer need an additional
terminal program such as seyon or minicom to test and setup your
connection.

KPPP features elaborate phone cost accounting, which enables you to
easily track your online costs.

%description kppp -l pl.UTF-8
KPPP to program do nawiązywania połączeń modemowych i frontend dla
pppd. Pozwala na interaktywne generowanie skryptów i konfiguracji
sieci. Automatyzuje proces dzwonienia do swojego ISP umożliwiając
jednocześnie wygodne monitorowanie całego procesu.

Po połączeniu KPPP udostępnia bogate statystyki i śledzi czas spędzony
online.

Wbudowany terminal i generator skryptów umożliwia łatwe
skonfigurowanie połączenia. Nie trzeba już dodatkowego programu
terminalowego, takiego jak seyon czy minicom, do testowania i
ustawiania połączenia.

KPPP ma wypracowane naliczanie kosztów telefonów, pozwalające łatwo
śledzić koszt czasu online.

%description kppp -l pt_BR.UTF-8
O discador para Internet.

%package krfb
Summary:	Virtual Desktops
Summary(pl.UTF-8):	Wirtualne biurka
Group:		X11/Applications
Requires:	kde4-kdebase >= %{version}
# needed for /usr/share/telepathy
Requires:	telepathy-mission-control
Suggests:	rdesktop

%description krfb
Remote Desktop Connection is a client application that allows you to
view or even control the desktop session on another machine that is
running a compatible (VNC) server. You would typically use Remote
Desktop Connection with the KDE VNC server, which is Desktop Sharing
(also provided in this package), since it closely matches the special
features of Remote Desktop Connection.

%description krfb -l pl.UTF-8
Remote Desktop Connection to aplikacja kliencka umożliwiająca
oglądanie a nawet sterowanie sesją na innej maszynie z działającym
kompatybilnym serwerem (VNC). Zwykle używa się Remote Desktop
Connection z użyciem serwera KDE VNC, czyli "dzielenia pulpitu" (także
dostarczanego przez ten pakiet), jako że najlepiej pasuje do
specjalnych możliwości Remote Desktop Connection.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p0
%patch0 -p0
%if "%{pld_release}" == "th"
%patch1 -p1
%endif

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DMOZPLUGIN_INSTALL_DIR=%{_browserpluginsdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libkopete	-p /sbin/ldconfig
%postun	libkopete	-p /sbin/ldconfig

%post	libkopete_oscar	-p /sbin/ldconfig
%postun	libkopete_oscar	-p /sbin/ldconfig

%post	libkopete_otr	-p /sbin/ldconfig
%postun	libkopete_otr	-p /sbin/ldconfig

%post	libkopete_videodevice	-p /sbin/ldconfig
%postun	libkopete_videodevice	-p /sbin/ldconfig

%post	kget		-p /sbin/ldconfig
%postun	kget		-p /sbin/ldconfig

%post	kopete		-p /sbin/ldconfig
%postun	kopete		-p /sbin/ldconfig

%post	krfb		-p /sbin/ldconfig
%postun	krfb		-p /sbin/ldconfig

%post kopete-protocol-skype
%update_browser_plugins

%postun kopete-protocol-skype
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files libkopete
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkopete.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkopete.so.?

%files libkopete_oscar
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkopete_oscar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkopete_oscar.so.?

%files libkopete_otr
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkopete_otr_shared.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkopete_otr_shared.so.?

%files libkopete_videodevice
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkopete_videodevice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkopete_videodevice.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkopete.so
#%attr(755,root,root) %{_libdir}/libkopete_msn_shared.so
%attr(755,root,root) %{_libdir}/libkopete_oscar.so
%attr(755,root,root) %{_libdir}/libkopete_otr_shared.so
%attr(755,root,root) %{_libdir}/libkopete_videodevice.so
%attr(755,root,root) %{_libdir}/libkopeteaddaccountwizard.so
%attr(755,root,root) %{_libdir}/libkopetechatwindow_shared.so
%attr(755,root,root) %{_libdir}/libkopeteidentity.so
%attr(755,root,root) %{_libdir}/libkopeteprivacy.so
%attr(755,root,root) %{_libdir}/libkopetestatusmenu.so
%attr(755,root,root) %{_libdir}/liboscar.so
%attr(755,root,root) %{_libdir}/libkrdccore.so
%attr(755,root,root) %{_libdir}/libkopetecontactlist.so
%attr(755,root,root) %{_libdir}/libkrfbprivate.so
%{_includedir}/kopete
%{_includedir}/krdc

%files filesharing
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_fileshare.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kcmsambaconf.so
%attr(755,root,root) %{_libdir}/kde4/fileshare_propsdlgplugin.so
%{_datadir}/kde4/services/fileshare.desktop
%{_datadir}/kde4/services/fileshare_propsdlgplugin.desktop
%{_datadir}/kde4/services/kcmsambaconf.desktop
%{_iconsdir}/hicolor/16x16/apps/kcmsambaconf.png
%{_datadir}/kde4/services/ServiceMenus/smb2rdc.desktop

%files kdnssd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kded_dnssdwatcher.so
%attr(755,root,root) %{_libdir}/kde4/kio_zeroconf.so
%{_datadir}/apps/remoteview/zeroconf.desktop
%{_datadir}/kde4/services/kded/dnssdwatcher.desktop
%{_datadir}/kde4/services/zeroconf.protocol
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml

%files kget
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kget
%attr(755,root,root) %{_libdir}/kde4/kget_bittorrentfactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_checksumsearchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_contentfetchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_kiofactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_metalinkfactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_mirrorsearchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kget_multisegkiofactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_bittorrentfactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_checksumsearchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_contentfetchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_metalinkfactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_mirrorsearchfactory.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kget_multisegkiofactory.so
#%attr(755,root,root) %{_libdir}/kde4/kcm_krunner_kget.so
%attr(755,root,root) %{_libdir}/kde4/krunner_kget.so
%attr(755,root,root) %{_libdir}/kde4/khtml_kget.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_kget.so
%attr(755,root,root) %{_libdir}/kde4/plasma_kget_barapplet.so
#%attr(755,root,root) %{_libdir}/kde4/plasma_kget_panelbar.so
%attr(755,root,root) %{_libdir}/kde4/plasma_kget_piechart.so
%attr(755,root,root) %{_libdir}/libkgetcore.so.4.*.*
%attr(755,root,root) %ghost %{_libdir}/libkgetcore.so.?
%attr(755,root,root) %{_libdir}/libkgetcore.so
#%{_datadir}/apps/desktoptheme/default/widgets/kget.svg
%{_datadir}/apps/kget
%{_datadir}/apps/khtml/kpartplugins/kget_plug_in.rc
%dir %{_datadir}/apps/kwebkitpart/kpartplugins
%{_datadir}/apps/kwebkitpart/kpartplugins/kget_plug_in.rc
%{_datadir}/config.kcfg/kget.kcfg
%{_datadir}/config.kcfg/kget_multisegkiofactory.kcfg
%{_datadir}/config.kcfg/kget_mirrorsearchfactory.kcfg
%{_datadir}/config.kcfg/kget_checksumsearchfactory.kcfg
%{_datadir}/config.kcfg/kget_contentfetchfactory.kcfg
%{_datadir}/kde4/services/kget_bittorrentfactory_config.desktop
%{_datadir}/kde4/services/kget_checksumsearchfactory.desktop
%{_datadir}/kde4/services/kget_checksumsearchfactory_config.desktop
%{_datadir}/kde4/services/kget_contentfetchfactory.desktop
%{_datadir}/kde4/services/kget_contentfetchfactory_config.desktop
%{_datadir}/kde4/services/kget_metalinkfactory_config.desktop
%{_datadir}/kde4/services/kget_mirrorsearchfactory_config.desktop
%{_datadir}/kde4/services/kget_multisegkiofactory_config.desktop
%{_datadir}/kde4/services/ServiceMenus/kget_download.desktop
%{_datadir}/kde4/services/kget_bittorrentfactory.desktop
%{_datadir}/kde4/services/kget_kiofactory.desktop
%{_datadir}/kde4/services/kget_metalinkfactory.desktop
%{_datadir}/kde4/services/kget_multisegkiofactory.desktop
%{_datadir}/kde4/services/kget_mirrorsearchfactory.desktop
%{_datadir}/kde4/services/kgetbarapplet-default.desktop
#%{_datadir}/kde4/services/kgetpanelbarapplet-default.desktop
%{_datadir}/kde4/services/kgetpiechartapplet-default.desktop
%{_datadir}/kde4/services/plasma-engine-kget.desktop
%{_datadir}/kde4/servicetypes/kget_plugin.desktop
%{_datadir}/kde4/services/plasma-runner-kget.desktop
#%{_datadir}/kde4/services/plasma-runner-kget_config.desktop
%{_desktopdir}/kde4/kget.desktop
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_iconsdir}/*/*/*/*kget*
%{_kdedocdir}/en/kget

#%files knewsticker
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/kde4/plasma_applet_knewsticker.so
#%{_datadir}/kde4/services/plasma-knewsticker-default.desktop
#%{_iconsdir}/*/*/*/knewsticker.png
#%{_kdedocdir}/en/knewsticker

%files kopete
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kopete
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_accountconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_addbookmarks.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_appearanceconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_behaviorconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_chatwindowconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_otr.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_pipes.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_pluginconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_privacy.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_statusconfig.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_urlpicpreview.so
%attr(755,root,root) %{_libdir}/kde4/kopete_addbookmarks.so
%attr(755,root,root) %{_libdir}/kde4/kopete_chatwindow.so
%attr(755,root,root) %{_libdir}/kde4/kopete_emailwindow.so
%attr(755,root,root) %{_libdir}/kde4/kopete_otr.so
%attr(755,root,root) %{_libdir}/kde4/kopete_pipes.so
%attr(755,root,root) %{_libdir}/kde4/kopete_privacy.so
%attr(755,root,root) %{_libdir}/kde4/kopete_qq.so
%attr(755,root,root) %{_libdir}/kde4/kopete_statistics.so
%attr(755,root,root) %{_libdir}/kde4/kopete_testbed.so
%attr(755,root,root) %{_libdir}/kde4/kopete_urlpicpreview.so

%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-account-0.10.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-account-kconf_update.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-account-kconf_update.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-jabberpriorityaddition-kconf_update.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-jabberpriorityaddition-kconf_update.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-jabberproxytype-kconf_update.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-jabberproxytype-kconf_update.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-initialstatus.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-initialstatus.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-nameTracking.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-pluginloader.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-pluginloader.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-pluginloader2.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-pluginloader2.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-gaim_to_pidgin_style.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-gaim_to_pidgin_style.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-update_yahoo_server.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kopete-update_yahoo_server.upd


#### ???
%attr(755,root,root) %{_libdir}/libkopeteaddaccountwizard.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkopeteaddaccountwizard.so.?
%attr(755,root,root) %{_libdir}/libkopetechatwindow_shared.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkopetechatwindow_shared.so.?
%attr(755,root,root) %{_libdir}/libkopeteidentity.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkopeteidentity.so.?
%attr(755,root,root) %{_libdir}/libkopeteprivacy.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkopeteprivacy.so.?
%attr(755,root,root) %{_libdir}/liboscar.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/liboscar.so.?
%attr(755,root,root) %{_libdir}/libkopetestatusmenu.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkopetestatusmenu.so.?
%attr(755,root,root) %{_libdir}/libkopetecontactlist.so.1
%attr(755,root,root) %{_libdir}/libkopetecontactlist.so.1.0.0
%attr(755,root,root) %{_libdir}/kde4/libchattexteditpart.so
####

%dir %{_datadir}/apps/kopete
%dir %{_datadir}/apps/kopete/icons
%dir %{_datadir}/apps/kopete/icons/crystalsvg
%dir %{_datadir}/apps/kopete/icons/crystalsvg/*
#%dir %{_datadir}/apps/kopete/icons/crystalsvg/*/*
%dir %{_datadir}/apps/kopete/icons/oxygen
%dir %{_datadir}/apps/kopete/icons/oxygen/*
%dir %{_datadir}/apps/kopete/icons/oxygen/*/apps
%dir %{_datadir}/apps/kopete/icons/hicolor
%dir %{_datadir}/apps/kopete/icons/hicolor/*
%dir %{_datadir}/apps/kopete/icons/hicolor/*/apps
#%dir %{_datadir}/apps/kopete/pics

%{_datadir}/apps/kopete/*rc
%{_datadir}/apps/kopete/icons/*/*/actions
%{_datadir}/apps/kopete/icons/*/*/apps/testbed_protocol.png
%{_datadir}/apps/kopete/icons/*/*/apps/qq_protocol.png
%{_datadir}/apps/kopete/icons/*/*/apps/preferences-plugin-text-effect-kopete.png
%{_datadir}/apps/kopete/icons/*/*/apps/preferences-text-autocorrection-kopete.png
%{_datadir}/apps/kopete/icons/*/*/apps/preferences-text-highlighting-kopete.png
%{_datadir}/apps/kopete/CompactContactListLayouts.xml
%{_datadir}/apps/kopete/DefaultContactListLayouts.xml
#%{_datadir}/apps/kopete/pics/statistics
%{_datadir}/apps/kopete/styles
%{_datadir}/apps/kopete_otr
%{_datadir}/apps/kopete_privacy
%{_datadir}/apps/kopete_statistics
%{_datadir}/apps/kopeterichtexteditpart
%{_datadir}/config/kopeterc
%{_datadir}/config.kcfg/kopeteappearancesettings.kcfg
%{_datadir}/config.kcfg/kopetebehaviorsettings.kcfg
%{_datadir}/config.kcfg/kopetestatussettings.kcfg
%{_datadir}/config.kcfg/urlpicpreview.kcfg
%{_datadir}/config.kcfg/kopete_otr.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%{_datadir}/kde4/services/chatwindow.desktop
%{_datadir}/kde4/services/emailwindow.desktop
%{_datadir}/kde4/services/kopete_accountconfig.desktop
%{_datadir}/kde4/services/kopete_addbookmarks.desktop
%{_datadir}/kde4/services/kopete_appearanceconfig.desktop
%{_datadir}/kde4/services/kopete_behaviorconfig.desktop
%{_datadir}/kde4/services/kopete_chatwindowconfig.desktop
%{_datadir}/kde4/services/kopete_pluginconfig.desktop
%{_datadir}/kde4/services/kopete_statistics.desktop
%{_datadir}/kde4/services/kopete_qq.desktop
%{_datadir}/kde4/services/kopete_testbed.desktop
%{_datadir}/kde4/services/kopete_urlpicpreview.desktop
%{_datadir}/kde4/services/kconfiguredialog
%{_datadir}/kde4/services/kopete_privacy.desktop
%{_datadir}/kde4/services/kopete_pipes.desktop
%{_datadir}/kde4/services/kopete_statusconfig.desktop
%{_datadir}/kde4/services/kopete_otr.desktop
%{_datadir}/kde4/servicetypes/kopeteplugin.desktop
%{_datadir}/kde4/servicetypes/kopeteprotocol.desktop
%{_datadir}/kde4/servicetypes/kopeteui.desktop
%{_datadir}/sounds/Kopete_Event.ogg
%{_datadir}/sounds/Kopete_Received.ogg
%{_datadir}/sounds/Kopete_Sent.ogg
%{_datadir}/sounds/Kopete_User_is_Online.ogg
%{_desktopdir}/kde4/kopete.desktop
%exclude %{_iconsdir}/*/scalable
%{_iconsdir}/*/*/*/kopete.png
%{_iconsdir}/*/*/actions/*
#%{_iconsdir}/oxygen/*/*/kopete*
%{_iconsdir}/oxygen/*/status/object-locked-*
%{_iconsdir}/hicolor/*/apps/kopete-offline.png
%{_kdedocdir}/en/kopete

%files kopete-protocol-aim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_aim.so
%{_datadir}/apps/kopete/icons/*/*/*/*aim*
%{_datadir}/kde4/services/aim.protocol
%{_datadir}/kde4/services/kopete_aim.desktop

%files kopete-protocol-bonjour
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_bonjour.so
%{_datadir}/apps/kopete/icons/*/*/*/bonjour_protocol.png
%{_datadir}/kde4/services/kopete_bonjour.desktop

%files kopete-protocol-gg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_gadu.so
%{_datadir}/apps/kopete/icons/*/*/*/gadu*
%{_datadir}/apps/kopete/icons/*/*/*/gg*
%{_datadir}/kde4/services/kopete_gadu.desktop

%files kopete-protocol-groupwise
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_groupwise.so
%attr(755,root,root) %{_libdir}/libqgroupwise.so
%{_datadir}/apps/kopete/icons/*/*/*/groupwise_protocol.png
%{_datadir}/apps/kopete_groupwise
%{_datadir}/kde4/services/kopete_groupwise.desktop

%files kopete-protocol-icq
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_icq.so
%{_datadir}/apps/kopete/icons/*/*/*/*icq*
%{_datadir}/kde4/services/kopete_icq.desktop

%files kopete-protocol-jabber
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/googletalk-call
%attr(755,root,root) %{_libdir}/kde4/kopete*jabber*.so
%{_datadir}/apps/kopete_jabber
%{_datadir}/apps/kopete/icons/*/*/*/jabber*.png
%{_datadir}/kde4/services/xmpp.protocol
%{_datadir}/kde4/services/kopete_jabber.desktop

#%files kopete-protocol-msn
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/kde4/kopete_msn.so
#%{_datadir}/apps/kopete_msn
#%{_datadir}/apps/kopete/icons/*/*/*/msn_*.png
#%{_datadir}/kde4/services/kopete_msn.desktop

%files kopete-protocol-meanwhile
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_meanwhile.so
%{_datadir}/apps/kopete/icons/*/*/*/meanwhile_*.png
%{_datadir}/kde4/services/kopete_meanwhile.desktop

%files kopete-protocol-wlm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_wlm.so
%{_datadir}/apps/kopete/icons/*/*/*/wlm_*.png
%{_datadir}/kde4/services/kopete_wlm.desktop
%dir %{_datadir}/apps/kopete_wlm
%{_datadir}/apps/kopete_wlm/wlmchatui.rc

# skype exists only for ix86 (and can be used in multiarch env)
%ifarch %{ix86} %{x8664}
%files kopete-protocol-skype
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/skypebuttons.so
%attr(755,root,root) %{_libdir}/kde4/kopete_skype.so
%dir %{_datadir}/apps/kopete_skype
%{_datadir}/apps/kopete_skype/skypechatui.rc
%{_datadir}/apps/kopete_skype/skypeui.rc
%{_datadir}/kde4/services/callto.protocol
%{_datadir}/kde4/services/kopete_skype.desktop
%{_datadir}/kde4/services/skype.protocol
%{_datadir}/kde4/services/tel.protocol
%{_datadir}/apps/kopete/icons/*/*/*/skype_protocol.png
%endif

%files kopete-protocol-sms
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_sms.so
%{_datadir}/apps/kopete/icons/*/*/*/sms*
%{_datadir}/kde4/services/kopete_sms.desktop

%files kopete-protocol-winpopup
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/winpopup-install
%attr(755,root,root) %{_bindir}/winpopup-send
%attr(755,root,root) %{_libdir}/kde4/kopete_wp.so
%{_datadir}/apps/kopete/icons/*/*/*/wp*
%{_datadir}/kde4/services/kopete_wp.desktop
# FIXME: to samba-client instead?
#%dir %attr(777,root,root) /var/lib/winpopup
#%config(noreplace) %verify(not md5 mtime size) /etc/samba/winpopup.conf

%files kopete-protocol-yahoo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_yahoo.so
%attr(755,root,root) %{_libdir}/libkyahoo.so.1.0.0
%attr(755,root,root) %ghost %{_libdir}/libkyahoo.so.1
%attr(755,root,root) %{_libdir}/libkyahoo.so
%{_datadir}/apps/kopete_yahoo
%{_datadir}/apps/kopete/icons/*/*/*/yahoo*
%{_datadir}/kde4/services/kopete_yahoo.desktop

#%files kopete-tool-alias
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_alias.so
#%attr(755,root,root) %{_libdir}/kde4/kopete_alias.so
#%{_datadir}/kde4/services/kconfiguredialog/kopete_alias_config.desktop
#%{_datadir}/kde4/services/kopete_alias.desktop

%files kopete-tool-autoreplace
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_autoreplace.so
%attr(755,root,root) %{_libdir}/kde4/kopete*autoreplace*.so
%{_datadir}/kde4/services/kopete_autoreplace.desktop
%{_datadir}/kde4/services/kconfiguredialog/kopete_autoreplace_config.desktop

%files kopete-tool-avdeviceconfig
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_avdeviceconfig.so
%{_datadir}/apps/kopete/icons/*/*/*/kopete_avdevice.png
%{_datadir}/kde4/services/kopete_avdeviceconfig.desktop

%files kopete-tool-contactnotes
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kopete_contactnotes.so
%{_datadir}/apps/kopete_contactnotes
%{_datadir}/kde4/services/kopete_contactnotes.desktop

%files kopete-tool-latex
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kopete_latexconvert.sh
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_latex.so
%attr(755,root,root) %{_libdir}/kde4/kopete_latex.so
%{_datadir}/apps/kopete/icons/*/*/apps/latex.png
%{_datadir}/apps/kopete_latex
%{_datadir}/config.kcfg/latexconfig.kcfg
%{_datadir}/kde4/services/kconfiguredialog/kopete_addbookmarks_config.desktop
%{_datadir}/kde4/services/kconfiguredialog/kopete_latex_config.desktop
%{_datadir}/kde4/services/kopete_latex.desktop

%files kopete-tool-highlight
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_highlight.so
%attr(755,root,root) %{_libdir}/kde4/kopete*highlight*.so
%{_datadir}/kde4/services/kopete_highlight.desktop
%{_datadir}/kde4/services/kconfiguredialog/kopete_highlight_config.desktop

%files kopete-tool-history
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_history.so
%attr(755,root,root) %{_libdir}/kde4/kopete_history.so
%{_datadir}/apps/kopete_history
%{_datadir}/config.kcfg/historyconfig.kcfg
%{_datadir}/kde4/services/kopete_history.desktop
%{_datadir}/kde4/services/kconfiguredialog/kopete_history_config.desktop

%files kopete-tool-nowlistening
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_nowlistening.so
%attr(755,root,root) %{_libdir}/kde4/kopete*nowlistening*.so
%{_datadir}/config.kcfg/nowlisteningconfig.kcfg
%{_datadir}/kde4/services/kconfiguredialog/kopete_nowlistening_config.desktop
%{_datadir}/kde4/services/kopete_nowlistening.desktop

%files kopete-tool-texteffect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_texteffect.so
%attr(755,root,root) %{_libdir}/kde4/kopete*texteffect*.so
%{_datadir}/kde4/services/kconfiguredialog/kopete_texteffect_config.desktop
%{_datadir}/kde4/services/kopete_texteffect.desktop

%files kopete-tool-translator
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_translator.so
%attr(755,root,root) %{_libdir}/kde4/kopete_translator.so
%{_datadir}/apps/kopete_translator
%{_datadir}/kde4/services/kconfiguredialog/kopete_translator_config.desktop
%{_datadir}/kde4/services/kopete_translator.desktop

%files kopete-tool-webpresence
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kcm_kopete_webpresence.so
%attr(755,root,root) %{_libdir}/kde4/kopete*webpresence*.so
%{_datadir}/apps/kopete/webpresence
%{_datadir}/config.kcfg/webpresenceconfig.kcfg
%{_datadir}/kde4/services/kconfiguredialog/kopete_webpresence_config.desktop
%{_datadir}/kde4/services/kopete_webpresence.desktop

%files kppp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kppplogview
%attr(755,root,root) %{_bindir}/kppp
%{_datadir}/apps/kppp
%{_datadir}/dbus-1/interfaces/org.kde.kppp.xml
%{_desktopdir}/kde4/Kppp.desktop
%{_desktopdir}/kde4/kppplogview.desktop
%{_iconsdir}/*/*/*/kppp.png
%{_kdedocdir}/en/kppp

%files krfb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krdc
%attr(755,root,root) %{_bindir}/krdc_rfb_approver
%attr(755,root,root) %{_bindir}/krfb
%attr(755,root,root) %ghost %{_libdir}/libkrdccore.so.?
%attr(755,root,root) %{_libdir}/libkrdccore.so.*.*.*
%attr(755,root,root) %{_libdir}/libkrfbprivate.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/krdc_rdpplugin.so
%attr(755,root,root) %{_libdir}/kde4/krdc_testplugin.so
%attr(755,root,root) %{_libdir}/kde4/krdc_vncplugin.so
%attr(755,root,root) %{_libdir}/kde4/krfb_framebuffer_qt.so
%attr(755,root,root) %{_libdir}/kde4/krfb_framebuffer_x11.so
%attr(755,root,root) %{_libdir}/kde4/kcm_krdc_rdpplugin.so
%attr(755,root,root) %{_libdir}/kde4/kcm_krdc_vncplugin.so
%{_datadir}/apps/krdc
%{_datadir}/apps/krfb
%{_datadir}/config.kcfg/krdc.kcfg
%{_datadir}/kde4/services/rdp.protocol
%{_datadir}/kde4/services/vnc.protocol
%{_datadir}/kde4/services/krfb_framebuffer_qt.desktop
%{_datadir}/kde4/services/krfb_framebuffer_x11.desktop
%{_datadir}/kde4/services/krdc_rdp.desktop
%{_datadir}/kde4/services/krdc_rdp_config.desktop
%{_datadir}/kde4/services/krdc_test.desktop
%{_datadir}/kde4/services/krdc_vnc.desktop
%{_datadir}/kde4/services/krdc_vnc_config.desktop
%{_datadir}/kde4/servicetypes/krdc_plugin.desktop
%{_datadir}/kde4/servicetypes/krfb-framebuffer.desktop
%{_desktopdir}/kde4/krdc.desktop
%{_desktopdir}/kde4/krfb.desktop
%{_kdedocdir}/en/krdc
%{_kdedocdir}/en/krfb
%{_datadir}/apps/krdc_rfb_approver
%{_datadir}/telepathy/clients/*
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_approver.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdenetwork.spec,v $
Revision 1.112  2010/06/30 17:08:15  shadzik
- change kwebkitpart version BR

Revision 1.111  2010/06/30 16:11:26  shadzik
- 4.4.5

Revision 1.110  2010/05/29 22:49:23  arekm
- rel 3; package skypebuttons browser plugin; protocol skype package makes sense only on where skype is available (x86 and x8664 in multiarch case); skype plugin R skype program

Revision 1.109  2010/05/29 22:21:53  shadzik
- change R to telepathy-mission-control
- rel 2

Revision 1.108  2010/05/28 23:47:14  shadzik
- patch2 is upstream

Revision 1.107  2010/05/28 23:43:29  shadzik
- 4.4.4

Revision 1.106  2010/05/11 14:15:41  shadzik
- add -kdegt_metalink.patch
- resolves CVE-2010-1000
- rel 2

Revision 1.105  2010/05/01 15:13:25  shadzik
- 4.4.3
- openssl patch ONLY on Th

Revision 1.104  2010/04/11 23:47:48  charles
- moved googletalk-call from krfb to kopete-protocol-jabber

Revision 1.103  2010/04/11 14:43:30  arekm
- rel 4; openssl 1.0.0 fix

Revision 1.102  2010/04/11 13:09:43  shadzik
- update libmsn BR

Revision 1.101  2010/04/11 09:06:09  arekm
- release 3

Revision 1.100  2010/03/29 07:08:44  arekm
- release 2

Revision 1.99  2010/03/27 14:24:44  arekm
- up to 4.4.2

Revision 1.98  2010/03/07 16:15:28  shadzik
- ldconfig for krfb
- rel 3

Revision 1.97  2010/02/27 16:56:36  arekm
- rel 2; don't strictly version webkit part as it's snap

Revision 1.96  2010/02/27 12:36:28  shadzik
- 4.4.1 try #1

Revision 1.95  2010/02/18 19:45:12  sparky
- BR: QtWebKit-devel

Revision 1.94  2010/02/18 18:23:35  shadzik
- %dir

Revision 1.93  2010/02/18 18:21:57  shadzik
- BR: kde4-kwebkitpart-devel
- rel 2

Revision 1.92  2010/02/18 16:29:10  sparky
- BR: QtScript-devel, boost-devel, giflib-devel, gpgme-devel
- dropped unused  BR: avahi-compat-libdns_sd-devel, decibel-devel, libiw-devel,
  libtool, openslp-devel, perl-base
- "KWebKitPart" is missing; builds

Revision 1.91  2010/02/17 23:56:29  shadzik
- merged from DEVEL

Revision 1.77.2.20  2010/02/04 20:10:47  arekm
- up to 4.4.0

Revision 1.77.2.19  2010/02/02 20:55:42  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.77.2.18  2010/02/02 16:00:37  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.77.2.17  2010/02/02 15:49:49  shadzik
- version qt4 BRs
- add qt4-qmake BR

Revision 1.77.2.16  2010/02/02 13:11:49  shadzik
- force cmake 2.8.0 BR

Revision 1.77.2.15  2010/02/01 01:46:12  shadzik
- krfb R: libtelepathy

Revision 1.77.2.14  2010/02/01 01:42:19  shadzik
- 4.4 RC3
- %files

Revision 1.77.2.13  2010/01/31 02:32:09  sparky
- BR: rpm-pythonprov

Revision 1.77.2.12  2010/01/20 08:51:52  arekm
- up to 4.3.95

Revision 1.77.2.11  2010/01/09 22:38:15  arekm
- add BR mediastreamer-devel, telepathy-qt4-devel, files update needed

Revision 1.77.2.10  2010/01/08 12:41:57  arekm
- more files

Revision 1.77.2.9  2010/01/08 12:39:47  arekm
- up to 4.3.90

Revision 1.77.2.8  2009/12/21 00:56:17  shadzik
- 4.4 Beta2

Revision 1.77.2.7  2009/12/05 02:00:40  shadzik
- 4.4 beta1

Revision 1.77.2.6  2009/12/03 21:31:10  sparky
- BR: Qt3Support-devel, QtSql-devel, QtSvg-devel, QtTest-devel, alsa-lib-devel,
  pkgconfig, qimageblitz-devel, qt4-build, soprano-devel, speex-devel,
  strigi-devel, xorg-lib-libXdamage-devel

Revision 1.77.2.5  2009/11/18 20:02:54  shadzik
- 4.3.75

Revision 1.77.2.4  2009/10/29 13:19:07  paszczus
- updated to 4.3.73

Revision 1.77.2.3  2009/10/18 17:58:18  paszczus
- updated to 4.3.72

Revision 1.77.2.2  2009/10/08 08:32:04  paszczus
- updated to 4.3.69
- removed Patch0: kde4-kdenetwork-libknotification.patch
- adaptarized

Revision 1.77.2.1  2009/08/25 13:49:07  paszczus
- updated to 4.3.65

Revision 1.77  2009/08/19 20:10:36  arekm
- rel 2; branch diff is back

Revision 1.76  2009/08/03 15:20:27  arekm
- values are case sensitive it seems

Revision 1.75  2009/07/29 19:59:27  shadzik
- merged from DEVEL

Revision 1.71.2.12  2009/07/29 19:59:17  shadzik
- 4.3.0

Revision 1.71.2.11  2009/07/22 10:33:06  shadzik
- 4.3rc3

Revision 1.71.2.10  2009/07/13 22:44:06  shadzik
- O: kde4-kdenetwork-kopete-tool-alias

Revision 1.71.2.9  2009/07/09 19:05:47  paszczus
- updated to 4.2.96

Revision 1.71.2.8  2009/07/04 15:33:53  shadzik
- fix --target build

Revision 1.71.2.7  2009/07/04 15:00:33  shadzik
- gg is back

Revision 1.71.2.6  2009/06/30 13:06:15  shadzik
- 4.3 RC1

Revision 1.71.2.5  2009/05/30 14:52:01  paszczus
- updated to 4.2.88, NFY

Revision 1.71.2.4  2009/05/28 14:12:14  shadzik
- baaad shadzik baad, talking shit in commitslog ;)
- the icons are of course needed :)

Revision 1.71.2.3  2009/05/28 14:06:26  shadzik
- %files
- add new -kopete-protocol-skype subpackage
- TODO: mozillashit for skype protocol needs packaging
- icons are probably conflicting with kde4-oxygen-icons (i hope so, 'coz otherwise kde is making an icon mess yet again)

Revision 1.71.2.2  2009/05/28 13:42:20  shadzik
- fix build

Revision 1.71.2.1  2009/05/28 07:38:00  paszczus
- updated to 4.2.87
- added BR: libv4l-devel
- NFY (WebKitKDE missing)

Revision 1.71  2009/05/08 15:02:09  shadzik
- release 3

Revision 1.70  2009/05/08 14:34:38  shadzik
- updated cmake br

Revision 1.69  2009/05/01 15:13:47  shadzik
- 4.2.3

Revision 1.68  2009/04/12 21:05:45  arekm
- enable branch diffs

Revision 1.67  2009/03/27 22:44:08  shadzik
- 4.2.2

Revision 1.66  2009/02/27 14:48:08  shadzik
- 4.2.1

Revision 1.65  2009/02/20 12:15:53  shadzik
- release 6

Revision 1.64  2009/02/20 11:53:46  shadzik
- conditional release/debug build (thx glen)

Revision 1.63  2009/02/20 10:53:05  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.62  2009/02/03 15:50:30  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 4
- removed freenx.patch (you need it? you fix it)

Revision 1.60.2.38  2009/01/25 14:14:11  shadzik
- exclude scalable icons

Revision 1.60.2.37  2009/01/22 19:39:43  shadzik
- BR: automoc4 >= 0.9.88
- rel 2

Revision 1.60.2.36  2009/01/22 15:26:46  shadzik
- 4.2.0

Revision 1.60.2.35  2009/01/07 19:57:05  shadzik
- 4.2 RC1

Revision 1.60.2.34  2009/01/07 10:00:02  shadzik
- 4.1.87
- updated libmsn BR

Revision 1.60.2.33  2008/12/15 19:35:41  shadzik
- no libkopete_msn subpackage at all

Revision 1.60.2.32  2008/12/15 19:31:15  shadzik
- more %if 0 shit

Revision 1.60.2.31  2008/12/15 16:46:20  shadzik
- kill %if 0 shit

Revision 1.60.2.30  2008/12/15 16:24:29  shadzik
- 4.1.85

Revision 1.60.2.29  2008/12/09 12:28:57  glen
- no body for %postun libkopete scriptlet you fools!
  /sbin/ldconfig: użyto względnej ścieżki `1' do utworzenia bufora
- rel 2

Revision 1.60.2.28  2008/12/08 18:13:02  paszczus
- updated to 4.1.82

Revision 1.60.2.27  2008/12/06 22:42:34  glen
- wlm is msn aka windows live messenger

Revision 1.60.2.26  2008/11/29 04:36:50  shadzik
- re-apply idecibel patch
- remove idn patch

Revision 1.60.2.25  2008/11/29 04:22:59  shadzik
- 4.1.81

Revision 1.60.2.24  2008/11/26 22:20:17  shadzik
- BR: libmsn
- -wlm subpackage

Revision 1.60.2.23  2008/11/26 21:49:47  shadzik
- meanwhile subpackage

Revision 1.60.2.22  2008/11/26 21:44:35  shadzik
- 4.2 beta1
- NFY

Revision 1.60.2.21  2008/11/21 11:14:22  shadzik
- add patch2
- rel 2

Revision 1.60.2.20  2008/11/20 14:32:57  shadzik
- BR: kde4-kdepimlibs-devel

Revision 1.60.2.19  2008/11/20 14:28:08  shadzik
- blah, of course -devel again
- no libnxsl for now
- actually we can use libidn 1.10 too

Revision 1.60.2.18  2008/11/20 11:27:48  shadzik
- 4.1.73
- BR: decibel
- add patch1
- %files (kget plasma modules are back)

Revision 1.60.2.17  2008/11/06 08:32:59  shadzik
- 4.1.72

Revision 1.60.2.16  2008/10/20 00:55:57  shadzik
- rel up and qtver bump up

Revision 1.60.2.15  2008/10/20 00:52:02  shadzik
- s/kde4-kdebase-core/kde4-kdebase/g in Rs

Revision 1.60.2.14  2008/10/20 00:18:20  shadzik
- services/kded belongs to kdelibs!! (in how many more kde4-* specs will i find crap like this!?)

Revision 1.60.2.13  2008/10/19 20:31:30  shadzik
- updated qtver
- reverted last change

Revision 1.60.2.12  2008/10/19 19:10:51  paszczus
- and few more

Revision 1.60.2.11  2008/10/19 18:03:28  paszczus
- added parent dirs

Revision 1.60.2.10  2008/10/18 16:39:26  rotom
- up to 4.1.70

Revision 1.60.2.9  2008/10/10 11:57:56  paszczus
- updated to 4.1.69

Revision 1.60.2.8  2008/10/02 16:15:28  paszczus
- updated to 4.1.68
- adaptarized

Revision 1.60.2.7  2008/09/27 20:40:19  rotom
- up to 4.1.67

Revision 1.60.2.6  2008/09/05 05:28:52  paszczus
- updated to 4.1.65

Revision 1.60.2.5  2008/08/31 14:27:58  wolf
- 4.1.64

Revision 1.60.2.4  2008/08/17 22:32:11  shadzik
- 4.1.62

Revision 1.60.2.3  2008/08/15 11:52:07  shadzik
- cmake fix now in cmake itself

Revision 1.60.2.2  2008/08/10 17:48:25  shadzik
- add -protocol-bonjour subpackage
- %files

Revision 1.60.2.1  2008/08/10 17:37:45  shadzik
- 4.1.61
- some changes including krdc/nx patching

Revision 1.60  2008/08/01 09:38:50  arekm
- actions is a dir

Revision 1.59  2008/07/24 23:06:03  arekm
- new tarballs

Revision 1.58  2008/07/24 19:41:49  paszczus
- updated to stable 4.1.0

Revision 1.57  2008/07/15 19:26:55  shadzik
- 4.0.98

Revision 1.56  2008/07/04 20:26:56  rotom
- up to 4.0.85

Revision 1.55  2008/07/03 10:25:34  paszczus
- updated to 4.0.84

Revision 1.54  2008/06/25 21:46:11  shadzik
- kget requires workspace (due to desktoptheme folder)

Revision 1.53  2008/06/25 21:41:19  shadzik
- icon for kget plasma widget

Revision 1.52  2008/06/24 17:59:01  shadzik
- 4.0.83

Revision 1.51  2008/06/20 18:52:29  shadzik
- 64bit fix

Revision 1.50  2008/06/12 17:38:33  shadzik
- 4.0.82

Revision 1.49  2008-06-05 15:12:42  shadzik
- 4.0.81

Revision 1.48  2008-05-27 16:49:52  shadzik
- 4.0.80

Revision 1.47  2008-05-24 17:58:56  shadzik
- 4.0.74

Revision 1.46  2008-05-09 17:41:00  shadzik
- more files

Revision 1.45  2008-05-09 16:58:05  shadzik
- 4.0.73
- rel 1

Revision 1.44  2008-04-30 21:49:36  rotom
- 4.0.72

Revision 1.43  2008-04-20 12:51:40  shadzik
- adjusted files

Revision 1.42  2008-04-20 11:48:35  shadzik
- auto up to 4.0.70

Revision 1.41  2008-04-09 16:34:08  shadzik
- 4.0.68

Revision 1.40  2008-03-31 20:44:41  qboosh
- encoding fixed

Revision 1.39  2008-03-30 05:27:22  shadzik
- BR: libotr-devel
- libkopete_otr subpackage
- more files due to new BR

Revision 1.38  2008-03-30 05:07:58  shadzik
- more files

Revision 1.37  2008-03-30 04:37:09  shadzik
- 4.0.67

Revision 1.36  2008-03-22 03:33:43  shadzik
- 4.0.66

Revision 1.35  2008-03-08 01:19:21  shadzik
- one more file

Revision 1.34  2008-03-08 00:59:17  shadzik
- 4.0.65
- killed skype protocol subpackage
- killed xmms bcond (xmms is now requires by default)

Revision 1.33  2008-03-05 20:06:11  shadzik
- 4.0.64
- updated BR

Revision 1.32  2008-02-18 21:43:25  qboosh
- some cleanups/reorders

Revision 1.31  2008-02-15 14:37:58  shadzik
- no sound files for kget in this version

Revision 1.30  2008-02-15 02:33:10  shadzik
- md5

Revision 1.29  2008-02-15 01:59:13  shadzik
- 4.0.62
- removed unused sources

Revision 1.28  2008-02-11 20:51:50  shadzik
- reverted paszczus's commit (rev. 1.24)
- really fix twice listed files

Revision 1.27  2008-02-10 16:58:21  rotom
- 4.0.61

Revision 1.26  2008-02-08 06:07:10  paszczus
- reverted, back to utf8

Revision 1.24  2008-02-07 21:57:31  paszczus
- files listed twice

Revision 1.23  2008-02-06 18:02:48  shadzik
- fixed ghosting

Revision 1.22  2008-02-06 14:27:48  shadzik
- adapterized

Revision 1.21  2008-02-05 00:34:10  shadzik
- more files

Revision 1.20  2008-02-05 00:12:47  shadzik
- sorted files

Revision 1.19  2008-02-04 23:33:37  shadzik
- 4.0.60
- fixes in Requires:

Revision 1.18  2008-02-04 21:47:39  qboosh
- no initial epoch

Revision 1.17  2008-02-03 04:42:45  shadzik
- kill %post and %preun for non existend lanbrowser

Revision 1.16  2008-02-03 04:41:52  shadzik
- remove none existend packages
- cosmetics
- some bad Rs removed

Revision 1.15  2008-02-03 03:13:56  shadzik
- no minlibsevr
- fix some Rs

Revision 1.14  2008-02-02 01:53:39  shadzik
- fix Rs
- kill kde3 stuff

Revision 1.13  2008-02-02 01:41:57  shadzik
- almost all files packaged
- fixed BRs

Revision 1.12  2008-02-02 01:35:13  shadzik
- more %files
- some cosmetics

Revision 1.11  2008-02-02 01:02:15  shadzik
- s/mkdir/install -d/ this fixes an issue when calling rpmbuild -bc --short-circuit
- fix qca and sqlite BR

Revision 1.10  2008-02-02 00:21:13  shadzik
- proper Name
- add O: and C:

Revision 1.9  2008-01-30 19:11:20  rotom
- some BRs added

Revision 1.8  2008-01-27 21:46:37  rotom
- some files added

Revision 1.7  2008-01-21 20:05:04  shadzik
- s#kdelibs#kdelibs4#g in Requires

Revision 1.6  2008-01-21 20:01:32  shadzik
- s#kdebase-core#kdebase4-core#g in Requires

Revision 1.5  2008-01-21 19:55:27  shadzik
- some more %files
- minor cleanup

Revision 1.4  2008-01-21 19:39:36  shadzik
- oops, now is better

Revision 1.3  2008-01-21 19:32:37  shadzik
- some files added

Revision 1.2  2008-01-21 18:33:04  shadzik
- some cleanup
- preparing for files packaging

Revision 1.1  2008-01-21 17:51:34  shadzik
- almost raw from kdenetwork.spec
- some modifications
- NFY (needs files renaming and other stuff)
